## org.apache.xerces.impl.dv.xs
Class FloatDV

    java.lang.Object
      org.apache.xerces.impl.dv.xs.TypeValidator
          org.apache.xerces.impl.dv.xs.FloatDV

    public class FloatDV

extends TypeValidator

Represent the schema type "float"

Version:
  $Id: FloatDV.java 446745 2006-09-15 21:43:58Z mrglavas $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`FloatDV()`

Method Summary
`int` `compare(java.lang.Object value1, java.lang.Object value2)`
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)`
`short` `getAllowedFacets()`
`boolean` `isIdentical(java.lang.Object value1, java.lang.Object value2)`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatDV

    public FloatDV()

Method Detail

### getAllowedFacets

    public short getAllowedFacets()

  Specified by:
    `getAllowedFacets` in class `TypeValidator`

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Specified by:
    `getActualValue` in class `TypeValidator`
  Throws:
    `InvalidDatatypeValueException`

### compare

    public int compare(java.lang.Object value1,
                       java.lang.Object value2)

  Overrides:
    `compare` in class `TypeValidator`

### isIdentical

    public boolean isIdentical(java.lang.Object value1,
                               java.lang.Object value2)

  Overrides:
    `isIdentical` in class `TypeValidator`

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.